// ====================================================================
// Allan CORNET
// DIGITEO 2010
// ====================================================================
tlbxs = atomsGetInstalled();
if grep(tlbxs, 'mingw') <> [] then
  atomsLoad("mingw");
else
  root_path = getenv('TOOLBOX_MINGW_PATH', '');
  if root_path <> '' then 
    exec(root_path + 'loader.sce'); 
  end 
end
// ====================================================================
ilib_verbose(0);
// ====================================================================
if ~c_link('libintertest') then
  curPath = pwd();
  chdir(TMPDIR); 
  mkdir('addinter');
  chdir('addinter'); 
  src_file = SCI+filesep()+'modules'+filesep()+'dynamic_link'+filesep()+'tests'+filesep()+'unit_tests'+filesep()+'addinter.c';
  dst_file = TMPDIR + filesep() + 'addinter' + filesep() + 'addinter.c';
  copyfile(src_file, dst_file);

  files=['addinter.c'];
  ilib_build('libintertest',['scifun1','intfun1'],files,[]);
  
  // load the shared library 
  exec loader.sce ;
  
  //  check addinter add scifun1
  if ( funptr('scifun1') == 0 ) then pause;end 
  
  if norm(scifun1(%pi)- sin(%pi+1)/%pi ) > %eps then pause;end 
  
  // remove scifun1
  if clearfun('scifun1') <> %T  then pause;end 
  
  // remove dynamic library link
  ulink();
  
  chdir(curPath);
end
//================================================

